> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Assign Shifts to Employees in Planner



## OpenAPI

````yaml POST /schedule/v1/planners/{plannerId}/shift-assignments
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /schedule/v1/planners/{plannerId}/shift-assignments:
    post:
      tags:
        - Planners
      summary: Assign Shifts to Employees in Planner
      operationId: AssignShiftsToEmployeesInPlanner
      parameters:
        - in: path
          name: plannerId
          required: true
          description: The planner ID
          schema:
            type: string
            format: uuid
      requestBody:
        description: >-
          Manage shift assignments for employees within a planner. Use 'status'
          field to assign or delete shifts in a single request.
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                shiftAssignments:
                  type: array
                  items:
                    type: object
                    properties:
                      employeeId:
                        type: string
                        format: uuid
                      date:
                        type: string
                        format: date
                        example: '2026-02-10'
                      shiftId:
                        type: string
                        format: uuid
                      status:
                        type: string
                        enum:
                          - assign
                          - delete
                        default: assign
                        description: >-
                          Action to perform: 'assign' to create, 'delete' to
                          remove. Defaults to 'assign'
                    required:
                      - employeeId
                      - date
                      - shiftId
              required:
                - shiftAssignments
      responses:
        '200':
          description: Object
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: string
                    example: ''
                  meta:
                    type: object
                    properties:
                      currentPage:
                        type: integer
                        example: 1
                      lastPage:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 1
                      perPage:
                        type: integer
                        example: 1
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````